
# Original function with bad code quality
def my_func(sq, y):
    x = 0 # index
    # this handles the case when y is not in the sequence
    if len(sq) == 0:
        return 0
    while sq[x] != y:
        x = x + 1
        # np.max returns the maximum number in an array
        if x < len(sq):
            x = x + 1 - 1 # don't want to change i again
        else:
            return x
    # this is the end of the loop
    return x

# Finally modified function after improving code quality
# from the live coding demo in lecture
# See the lecture recording for step-by-step improvements
def find_element(sequence, element):
    """
        Find the position of an element in a sequence
        Returns the position of this element, or len(sequence) if not found
    """
    index = 0
    # handle when sequence is empty
    if len(sequence) == 0:
        return 0
    
    while sequence[index] != element:
        index = index + 1
        if index >= len(sequence):
            return index # element not found
    # this is the end of the loop

    # element is found
    return index
